[Monetdb-developers] FreeBSD port of MonetDB Feb2009-SP1 release

George Cox gjvc at gjvc.com
Mon Apr 13 12:57:01 CEST 2009


* Fabian Groffen <Fabian.Groffen at cwi.nl> [20090413 09:18] wrote:
> Hi George,
> 
> On 13-04-2009 00:19:50 +0000, George Cox wrote:
> > I've just finished my first attempt at creating some ports files for the
> > installation of MonetDB on FreeBSD. I've put them up at:
> > 
> >     http://www.gjvc.com/software/freebsd/ports/monetdb/
> > 
> > Please have a look and let me know what you think.  Things to do include (but
> > not limited to :-)) are:
> 
> I had a quick look at your MonetDB-Java package, and I noticed this:
> 
> JAVA_VERSION=   1.2+
> 
> If this is what I think it is (Java version required) then this feels
> incorrect.  IMO we use 1.4 stuff for JDBC, and 1.5 stuff for XRPC.
> 
> Also, it seems Diablo 1.5 isn't available for FreeBSD 7.1, only 1.6 so
> you can only build XRPC.  Looking in your plist it appears to be the
> case that you only include XRPC.  I know this is a hell packaging
> wise...

First of all, thank you for looking!  The packaging is pretty much hell, yes.
:-)  I'm afraid that I haven't even used MonetDB/Java at all, so I wasn't aware
of the version constraints you mention.  A quick Google shows that the culprit
is StartOfHeaderParser.getNextAsString() from 1.6u10.  It looks like it might
be possible to avoid the IndexOutOfBoundsException (and thus remove the version
constraints) in that method, but I haven't tried it so I have no patches to
submit right now... :-)

I will familiarise myself with MonetDB/Java and do what I can.

best;


gjvc

-- 
George Cox
<gjvc at gjvc.com>




More information about the developers-list mailing list